Page MenuHomePhabricator

[PLAN] Move development for xtools from my repo to the project repo
Closed, ResolvedPublic

Description

Right now, xTools Rebirth development is happening in my personal github account. In order to support T157602, we should move it back to the project account on GitHub.

This task is to plan that transition. Right now, we need to do the following:

  • Merge
  • Update wikitech documentation
  • Enable Travis-CI
  • Update Read The Docs
  • Copy to Phabricator (Already done, see rXTR)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2017, 7:08 PM

After looking at this further, the steps should probably be done in reverse order. Therefore, here is what I propose. @MusikAnimal this is subject to your signoff, since you're coordinating things (as far as I know) from the Community-Tech end (And I really don't want to break y'alls workflow).

Read The Docs is already done, located at https://xtools.readthedocs.io/en/latest/. Travis is also, located at https://travis-ci.org/x-tools/xtools-rebirth . Since both of these switches don't need any more intervention to pursue, I actually had them flipped

I will do the PR and merge on Sunday evening, about 10:00 pm UTC. From that point, all development will occur within http://github.com/x-tools/xtools-rebirth . I will work through WikiTech after that, updating all of the references to anything else above.

Will that work?

@Matthewrbowker Sounds good! No conflicts with our workflow, which we happily will adapt to whatever works best for you and us both :) I think it does make sense to do our work in the main x-tools GitHub project, then at some point I suppose we'd merge xtools-rebirth it into the legacy xtools repo.

Matthewrbowker closed this task as Resolved.Feb 19 2017, 11:00 PM
Matthewrbowker triaged this task as Low priority.
Matthewrbowker updated the task description. (Show Details)
MusikAnimal moved this task from Inbox to Complete on the XTools board.Jul 23 2017, 7:48 PM